Author: Jesús E.
Category: Opinión
Date: 2018-02-17 08:14
Diaspora: https://diasp.org/u/heckyel
Image: 2018/02/question.png
Lang: en
Mastodom: https://masto.nobigtech.es/@heckyel
Save_as: why-not-windows/index.html
Slug: por-que-no-windows
Tags: libre, libertad, gnu, linux-libre
Title: Why not Windows?
URL: why-not-windows/

Windows and Office work well, then: **how can this be so bad?**

## Restrictions

A legal copy of Windows is expensive, but what do you get?
Windows and Office are licensed, not sold.

By using these products, we have to agree **to a number of
harsh restrictions**. For most Windows licenses, you can't
keep the software when you change the hardware. You
sometimes can't even give your software away. Who can run
the software? On which computer? What can you do with it?
The list of restrictions is long and some items are
outrageous.

## Can't we choose?

Software should come without mechanisms to tie users
to a company's products.

Why are Office documents difficult to export?
Why are the formats continually changing? Why can
you not even uninstall some programs? It might be
that if you look for choice, Microsoft products
aren't for you.

## Without source code

The source code (the details of how a program works) of Windows
and Office are hidden, and also **nobody has legal permission
to find out how this work**.

If you don't have the right to inspect the source code
(the description of how a program works), you can't ask a
developer to modify the software or evaluate how
the software protects your privacy.

And guess what? On software that comes with source code,
viruses and spyware aren't effective, and security isn't
bought on extra. The antivirus software industry, in which
Microsoft is now a significant player, prefers you
to use Windows.

## For a Free Society

A free society requires Free Software. Think of "Free" as freedom,
not price: the freedom to inspect, learn, and modify the
software you use.

Computers are used to share ideas, culture, and information.
Without these liberties over software, we are at risk of
losing control over what we share.

This is happening today. From plain annoying technologies
such as [Digital Restrictions Management][drm] (DRM) to
downright frightening ones like [Trusted Computing][tc],
everyone's ability to participate in culture is threatened.

If you have to give up your freedoms to use software,
maybe you should not be happy with it.

Original publish: [https://www.getgnulinux.org/windows/](https://www.getgnulinux.org/windows/)

[drm]: https://www.gnu.org/proprietary/proprietary-drm.html
[tc]: https://www.gnu.org/philosophy/can-you-trust.html
[locutorio]: https://www.20minutos.es/noticia/3332612/0/prision-duena-locutorio-tenia-copias-ilicitas-windows-instaladas/
