Author: Jesús E.
Category: GNU/Linux
Date: 2017-12-05 11:34
Diaspora: https://diasp.org/u/heckyel
Modified: 2021-08-21 13:28
Image: 2017/12/bash.png
Lang: en
Mastodom: https://masto.nobigtech.es/@heckyel
Save_as: advanced-prompt/index.html
Slug: prompt-avanzado
Tags: bash, hyperbash, hyperterm, shell
Title: Advanced prompt
URL: advanced-prompt/

Many times we need the [command interpreter][bash] to perform
the odd task, perhaps it is tedious to put together our
own `.bashrc` configuration. But since there is a lot of
useful information on the [World Wide Web][www], it has been
possible to write a prudent configuration of the
aforementioned `.bashrc` for Arch-based distros such as
[Hyperbola][hypersite] or [Parabola][parasite], in fact
these last 2 are 100% Free distros.

And where do I get a copy? You can easily download it from
[notabug][notabug] under the [GPLv3][license] License.

Is there a video, showing its use? yes, although the video
is in spanish language:

<video playsinline controls>
  <source src="https://archive.org/download/libreweb/hyperterm.webm" type="video/webm">
  <p><em>Your browser does not support the video tag, please download the video instead.</em></p>
</video>

###### Downloads

- [Vídeo][v0] (1080p)

[bash]: https://en.wikipedia.org/wiki/Bash
[www]: https://en.wikipedia.org/wiki/World_Wide_Web
[hypersite]: https://hyperbola.info/
[parasite]: https://parabola.nu/
[notabug]: https://notabug.org/heckyel/hyperterm
[license]: https://www.gnu.org/licenses/gpl-3.0.html
[v0]: https://archive.org/download/libreweb/hyperterm.webm
